.button::-moz-focus-inner { border: 0; padding: 0; }

.button {
  display:               inline-block;
  *display:              inline;
  padding:               6px 20px;
  border:                1px solid #bbb;
  font:                  bold 13px arial, helvetica, sans-serif;
  -webkit-transition:    background-color .2s ease-out;
  -moz-transition:       background-color .2s ease-out;
  -ms-transition:        background-color .2s ease-out; 
  -o-transition:         background-color .2s ease-out;  
  transition:            background-color .2s ease-out;
  background-clip:       padding-box;
  -moz-border-radius:    3px;
  -webkit-border-radius: 3px;
  border-radius:         3px;
  -moz-box-shadow:       0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  -webkit-box-shadow:    0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  box-shadow:            0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  text-shadow:           0 1px 0 rgba(255,255,255, .9); 
}

.button:hover { background-color: #eee; color: #555; }

.button:active {
  background:         #e9e9e9;
  position:           relative;
  top:                1px;
  text-shadow:        none;
  -moz-box-shadow:    0 1px 1px rgba(0, 0, 0, .3) inset;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
  box-shadow:         0 1px 1px rgba(0, 0, 0, .3) inset;
}

.button.small        { padding: 4px 12px; }
.button.large        { padding: 12px 30px; text-transform: uppercase;}
.button.large:active { top: 2px;}

.button.color        { color: #fff; text-shadow: 0 1px 0 rgba(0,0,0,.2); }

.button.green        { background-color: #57a957; border-color: #57a957; }
.button.green:hover  { background-color: #62c462; }
.button.green:active { background: #57a957; }

.button.red          { background-color: #c43c35; border-color: #c43c35; }
.button.red:hover    { background-color: #ee5f5b; }
.button.red:active   { background: #c43c35; }

.button.blue         { background-color: #269CE9; border-color: #269CE9; }
.button.blue:hover   { background-color: #70B9E8; }
.button.blue:active  { background: #269CE9; }
